aboutsummaryrefslogtreecommitdiff
path: root/tcwg-binutils.yaml
diff options
context:
space:
mode:
authorChristophe Lyon <christophe.lyon@linaro.org>2017-05-19 13:04:37 +0000
committerChristophe Lyon <christophe.lyon@linaro.org>2017-05-19 13:04:37 +0000
commit0c99f3b6c5b420aa9db1dd493cae694d407199f5 (patch)
treed9e29e73a9f6885220d1951be250acb2b921be74 /tcwg-binutils.yaml
parentdd35977465e8571236be4f6264a663b195671045 (diff)
tcwg-binutils: Add support to upload results for later comparison.
Add dont_file, log_name and log_server parameters. Change-Id: Icd7390a7e54ce06c544581420014210bab44adeb
Diffstat (limited to 'tcwg-binutils.yaml')
-rw-r--r--tcwg-binutils.yaml19
1 files changed, 19 insertions, 0 deletions
diff --git a/tcwg-binutils.yaml b/tcwg-binutils.yaml
index 3a6c9c9f..ccd8b67d 100644
--- a/tcwg-binutils.yaml
+++ b/tcwg-binutils.yaml
@@ -30,6 +30,18 @@
name: scripts_branch
default: master
description: 'Jenkins-scripts branch to use'
+ - bool:
+ name: dont_fail
+ default: false
+ description: 'Do not fail the build'
+ - string:
+ name: log_name
+ default: '${JOB_NAME}-${BUILD_NUMBER}/${builder_type}.$target'
+ description: 'Logname directory on logserver'
+ - string:
+ name: log_server
+ default: dev-01.tcwglab:/home/tcwg-buildslave/logs
+ description: 'Log_Server'
disabled: false
node: tcwg-coordinator
retry-count: 3
@@ -93,6 +105,8 @@
BUILD_SHELL="build_container_exec bash"
$BUILD_SHELL -c "echo \"Build session is up; ulimit config:\"; ulimit -a"
+ builder_type=$(print_type_for_label $label)
+
# Remove schroot session on exit
trap "build_container_cleanup" 0 1 2 3 5 9 13 15
@@ -148,6 +162,8 @@
echo '############################################'
[ x"$sums" != x ] && tail $sums
+ echo rsync -av ${sums} log_server:$log_name/
+
echo BUILD FINISHED $(date)
# Cleanup to save disk space
@@ -155,6 +171,9 @@
du -sh build-$target
rm -rf build-$target || true
+ if $dont_fail; then
+ result="0"
+ fi
exit $result
publishers:
- email-ext: